/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package cz.karry.dop.nbmodule.dbg.actions;


import java.util.Collections;
import java.util.Set;

import org.netbeans.api.debugger.ActionsManager;
import cz.karry.dop.nbmodule.dbg.DebugSession;
import org.netbeans.spi.debugger.ContextProvider;



public class KillActionProvider extends AbstractActionProvider {

    public KillActionProvider( ContextProvider contextProvider ) {
        super(contextProvider);
    }

    /* (non-Javadoc)
     * @see org.netbeans.spi.debugger.ActionsProviderSupport#doAction(java.lang.Object)
     */
    @Override
    public void doAction( Object action ){
        throw new UnsupportedOperationException("Not yet implemented");
    }

    /* (non-Javadoc)
     * @see org.netbeans.spi.debugger.ActionsProvider#getActions()
     */
    @Override
    public Set getActions(){
        System.err.println("StepIntoActionProvider getAction");
        return Collections.singleton( ActionsManager.ACTION_KILL );
    }


}

